#!/bin/bash

cd $(pwd)/kernel/dtb/
echo "Working at $(pwd)/kernel/dtb/..."

if [ -d "backup" ]; then
  echo "backup directory exit, exiting..."
  exit 0
fi

if [ -d "temp" ]; then
  echo "temp directory exit, exiting..."
  exit 0
fi

mkdir temp
mkdir backup
WORKDIR=$(pwd)/temp

for DTB_FILENAME in *.dtb
do
	DTB_FILENAME="${DTB_FILENAME%.*}"

	echo "$(pwd)/$DTB_FILENAME.dtb"

	dtc -q -I dtb -O dts -f $DTB_FILENAME.dtb -o $WORKDIR/$DTB_FILENAME.dts

	sed -i "/serial@3110000 {/,/}/ s/disabled/okay/" $WORKDIR/$DTB_FILENAME.dts

	dtc -q -I dts -O dtb -f $WORKDIR/$DTB_FILENAME.dts -o $WORKDIR/$DTB_FILENAME.dtb

	sudo mv $DTB_FILENAME.dtb backup/$DTB_FILENAME.dtb

	sudo cp $WORKDIR/$DTB_FILENAME.dtb ./$DTB_FILENAME.dtb
done

rm -rf $WORKDIR
